# FONTCHARACTER Reference
## Introduction
`FONTCHARACTER` is how, in the CASIO community, we call CASIO's encoding.
It is an encoding made up for CASIO calculators. It is partially
ASCII retrocompatible.

It is a simple multi-byte encoding, where some characters are multi-byte
sequence leaders. Each character can occupy up to two bytes (leading character,
then whatever -- a leading character after another one isn't).
For example, if 0xE5 is a leading character, 0xE5 followed by 0xE5 forms
the 0xE5E5 character, and if 0x46 isn't, it forms the 0x46 character.

This project is here to centralize all the info about it : existing characters,
their appearance in the standard fonts, their Unicode equivalents and defines.
The goal of this project is to give the ability to any project (thanks to
[LGPL3][lgpl3]) to be able to read, write, describe and convert from or to
CASIO's proprietary encoding.

You can use this reference through its source format, through its binary
format (better), or through [libfontcharacter][libfc] (recommended!).

[libfc]: https://github.com/PlaneteCasio/libfontcharacter
[lgpl3]: https://www.gnu.org/licenses/lgpl-3.0.en.html
