# Contributing to FONTCHARACTER Reference
Start by reading all of the available documentation, from the `README.md`
to the formats description, `FORMATS.md` -- in order to know how to contribute
to the project, you have to know how to use it!

## What is left to do
The main thing that is left to do is define the sets, and check which
characters appeared in each of the sets.
The FONTCHARACTER extensions do **not** have priority
(to be honest, the addition of C.Basic was not really planned
straight away...), so please try to concentrate on CASIO's sets first.

To achieve this, you can use my [Opcode Table C Extracting Tool][extract], and
the OSes on [Planète Casio's Bible][oses].

## Any mistake?
You have tried using the reference, but it doesn't match the characters on
your calculator? Yes, it indeed could be a mistake, but it might as well be
a compatibility issue!

You should check in the sets if your model/OS is supported. If you could try
to correct the reference while not breaking everything (even though the
maintainers will probably be careful), that would be great!

Otherwise, you can try to contact the current project maintainer(s).
You can find their personal detail in `AUTHORS.md`.

[extract]: http://www.casiopeia.net/forum/viewtopic.php?p=14742#p14742
[oses]: http://bible.planet-casio.com/casio/os_boot_setup/
